# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/String.hpp File Reference

`#include "vl/vlnamespace.hpp"`
`#include "vl/Object.hpp"`
`#include <vector>`
`#include <string.h>`

## Classes

class | vl::String
| An advanced UTF16 (Unicode BMP) string manipulation class. More...
class | vl::String::StringData

## Namespaces

namespace | vl
| Visualization Library namespace.

## Defines

#define | VL_PLATFORM_DEFAULT_ENCODING SE_UTF8

## Functions

String | vl::operator+ (const wchar_t *pstr, const String &str)
String | vl::operator+ (const char *pstr, const String &str)
String | vl::operator+ (wchar_t ch, const String &str)
String | vl::operator+ (char ch, const String &str)

## Define Documentation

#define VL_PLATFORM_DEFAULT_ENCODING SE_UTF8

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:29 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.